> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Methods

**`v2`** · Base URL `https://api.fintoc.com/v2`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api-v2.json GET /payment_methods
openapi: 3.1.0
info:
  title: fintoc-api-v2
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v2
security:
  - sec0: []
paths:
  /payment_methods:
    get:
      summary: List Payment Methods
      operationId: get_payment-methods
      parameters:
        - in: query
          name: starting_after
          schema:
            type: string
          description: >-
            A cursor to use in pagination. `starting_after` is a payment method
            ID that defines your place in the list. For example, if you make a
            list request and receive 300 payment methods, ending with `pm_foo`,
            your subsequent call can include `starting_after=pm_foo` to fetch
            the next page of the list.
        - in: query
          name: ending_before
          schema:
            type: string
          description: >-
            A cursor to use in pagination. `ending_before` is a payment method
            ID that defines your place in the list. For example, if you make a
            list request and receive 300 payment methods, starting with
            `pm_bar`, your subsequent call can include `ending_before=pm_bar` to
            fetch the previous page of the list.
        - in: query
          name: limit
          schema:
            type: integer
          description: >-
            Limit on the number of objects to return per page, ranging between 1
            and 300.
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          required: true
          schema:
            type: string
        - in: query
          name: customer
          schema:
            type: string
          description: Customer who owns the payment methods to be fetched.
      responses:
        '200':
          description: '200'
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization

````